Update Cardholder

Updates the specified issuing cardholder object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Universally unique identifier (UUID v4) of a cardholder.

Body Params
string

The cardholder’s email address.

string
required

The first name of the cardholder. Must be between 1 and 40 characters, containing only alphabetic characters and spaces. Spaces are not allowed at the beginning or end of the name.

string
required

The last name of the cardholder. Must be between 1 and 40 characters, containing only alphabetic characters and spaces. Spaces are not allowed at the beginning or end of the name.

integer
enum
required

The cardholder's gender. 1 means male, 2 means female.

Allowed:
string

The cardholder's birth date with yyyy-mm-dd format.

string
length ≤ 2

Two-letter country code ISO 3166-1 alpha-2.

string
length ≤ 8

The cardholder's nationality code. Send an empty string to clear the saved value.

string
required

The cardholder’s phone number.

delivery_address
object

The cardholder’s delivery address. When provided, include all standard address keys. district and line_en are accepted as optional delivery-only fields.

integer
enum

Identification document type. 1 and 2 are accepted.

Allowed:
string
length ≤ 128

Identification document number.

integer
1 to 13

Occupation code. Values from 1 to 13 are accepted.

string
length ≤ 1024

Front image URL or object key for the identification document.

string
length ≤ 1024

Back image URL or object key for the identification document.

string
length ≤ 1024

Holder portrait image URL or object key.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json